diff --git a/salt/modules/virt.py b/salt/modules/virt.py
index c8e046a47a..a78c21e323 100644
--- a/salt/modules/virt.py
+++ b/salt/modules/virt.py
@@ -4605,42 +5266,48 @@ def network_info(name=None, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.network_info default
-    '''
+    """
     result = {}
     conn = __get_conn(**kwargs)
 
     def _net_get_leases(net):
-        '''
+        """
         Get all DHCP leases for a network
-        '''
+        """
         leases = net.DHCPLeases()
         for lease in leases:
-            if lease['type'] == libvirt.VIR_IP_ADDR_TYPE_IPV4:
-                lease['type'] = 'ipv4'
-            elif lease['type'] == libvirt.VIR_IP_ADDR_TYPE_IPV6:
-                lease['type'] = 'ipv6'
+            if lease["type"] == libvirt.VIR_IP_ADDR_TYPE_IPV4:
+                lease["type"] = "ipv4"
+            elif lease["type"] == libvirt.VIR_IP_ADDR_TYPE_IPV6:
+                lease["type"] = "ipv6"
             else:
-                lease['type'] = 'unknown'
+                lease["type"] = "unknown"
         return leases
 
     try:
-        nets = [net for net in conn.listAllNetworks() if name is None or net.name() == name]
-        result = {net.name(): {
-                       'uuid': net.UUIDString(),
-                       'bridge': net.bridgeName(),
-                       'autostart': net.autostart(),
-                       'active': net.isActive(),
-                       'persistent': net.isPersistent(),
-                       'leases': _net_get_leases(net)} for net in nets}
+        nets = [
+            net for net in conn.listAllNetworks() if name is None or net.name() == name
+        ]
+        result = {
+            net.name(): {
+                "uuid": net.UUIDString(),
+                "bridge": net.bridgeName(),
+                "autostart": net.autostart(),
+                "active": net.isActive(),
+                "persistent": net.isPersistent(),
+                "leases": _net_get_leases(net),
+            }
+            for net in nets
+        }
     except libvirt.libvirtError as err:
-        log.debug('Silenced libvirt error: %s', str(err))
+        log.debug("Silenced libvirt error: %s", str(err))
     finally:
         conn.close()
     return result
 
 
 def network_get_xml(name, **kwargs):
-    '''
+    """
     Return the XML definition of a virtual network
 
     :param name: libvirt network name
@@ -4655,7 +5322,7 @@ def network_get_xml(name, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.network_get_xml default
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         return conn.networkLookupByName(name).XMLDesc()
@@ -4664,7 +5331,7 @@ def network_get_xml(name, **kwargs):
 
 
 def network_start(name, **kwargs):
-    '''
+    """
     Start a defined virtual network.
 
     :param name: virtual network name
@@ -4679,7 +5346,7 @@ def network_start(name, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.network_start default
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         net = conn.networkLookupByName(name)
@@ -4689,7 +5356,7 @@ def network_start(name, **kwargs):
 
 
 def network_stop(name, **kwargs):
-    '''
+    """
     Stop a defined virtual network.
 
     :param name: virtual network name
@@ -4704,7 +5371,7 @@ def network_stop(name, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.network_stop default
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         net = conn.networkLookupByName(name)
@@ -4714,7 +5381,7 @@ def network_stop(name, **kwargs):
 
 
 def network_undefine(name, **kwargs):
-    '''
+    """
     Remove a defined virtual network. This does not stop the virtual network.
 
     :param name: virtual network name
@@ -4729,7 +5396,7 @@ def network_undefine(name, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.network_undefine default
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         net = conn.networkLookupByName(name)
@@ -4738,8 +5405,8 @@ def network_undefine(name, **kwargs):
         conn.close()
 
 
-def network_set_autostart(name, state='on', **kwargs):
-    '''
+def network_set_autostart(name, state="on", **kwargs):
+    """
     Set the autostart flag on a virtual network so that the network
     will start with the host system on reboot.
 
@@ -4757,45 +5424,216 @@ def network_set_autostart(name, state='on', **kwargs):
     .. code-block:: bash
 
         salt "*" virt.network_set_autostart <pool> <on | off>
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         net = conn.networkLookupByName(name)
-        return not bool(net.setAutostart(1 if state == 'on' else 0))
+        return not bool(net.setAutostart(1 if state == "on" else 0))
     finally:
         conn.close()
 
 
 def _parse_pools_caps(doc):
-    '''
+    """
     Parse libvirt pool capabilities XML
-    '''
+    """
+
     def _parse_pool_caps(pool):
         pool_caps = {
-            'name': pool.get('type'),
-            'supported': pool.get('supported', 'no') == 'yes'
+            "name": pool.get("type"),
+            "supported": pool.get("supported", "no") == "yes",
         }
-        for option_kind in ['pool', 'vol']:
+        for option_kind in ["pool", "vol"]:
             options = {}
-            default_format_node = pool.find('{0}Options/defaultFormat'.format(option_kind))
+            default_format_node = pool.find(
+                "{0}Options/defaultFormat".format(option_kind)
+            )
             if default_format_node is not None:
-                options['default_format'] = default_format_node.get('type')
-            options_enums = {enum.get('name'): [value.text for value in enum.findall('value')]
-                 for enum in pool.findall('{0}Options/enum'.format(option_kind))}
+                options["default_format"] = default_format_node.get("type")
+            options_enums = {
+                enum.get("name"): [value.text for value in enum.findall("value")]
+                for enum in pool.findall("{0}Options/enum".format(option_kind))
+            }
             if options_enums:
                 options.update(options_enums)
             if options:
-                if 'options' not in pool_caps:
-                    pool_caps['options'] = {}
-                kind = option_kind if option_kind is not 'vol' else 'volume'
-                pool_caps['options'][kind] = options
+                if "options" not in pool_caps:
+                    pool_caps["options"] = {}
+                kind = option_kind if option_kind is not "vol" else "volume"
+                pool_caps["options"][kind] = options
         return pool_caps
 
-    return [_parse_pool_caps(pool) for pool in doc.findall('pool')]
+    return [_parse_pool_caps(pool) for pool in doc.findall("pool")]
+
+
+def _pool_capabilities(conn):
+    """
+    Return the hypervisor connection storage pool capabilities.
+
+    :param conn: opened libvirt connection to use
+    """
+    has_pool_capabilities = bool(getattr(conn, "getStoragePoolCapabilities", None))
+    if has_pool_capabilities:
+        caps = ElementTree.fromstring(conn.getStoragePoolCapabilities())
+        pool_types = _parse_pools_caps(caps)
+    else:
+        # Compute reasonable values
+        all_hypervisors = ["xen", "kvm", "bhyve"]
+        images_formats = [
+            "none",
+            "raw",
+            "dir",
+            "bochs",
+            "cloop",
+            "dmg",
+            "iso",
+            "vpc",
+            "vdi",
+            "fat",
+            "vhd",
+            "ploop",
+            "cow",
+            "qcow",
+            "qcow2",
+            "qed",
+            "vmdk",
+        ]
+        common_drivers = [
+            {
+                "name": "fs",
+                "default_source_format": "auto",
+                "source_formats": [
+                    "auto",
+                    "ext2",
+                    "ext3",
+                    "ext4",
+                    "ufs",
+                    "iso9660",
+                    "udf",
+                    "gfs",
+                    "gfs2",
+                    "vfat",
+                    "hfs+",
+                    "xfs",
+                    "ocfs2",
+                ],
+                "default_target_format": "raw",
+                "target_formats": images_formats,
+            },
+            {
+                "name": "dir",
+                "default_target_format": "raw",
+                "target_formats": images_formats,
+            },
+            {"name": "iscsi"},
+            {"name": "scsi"},
+            {
+                "name": "logical",
+                "default_source_format": "lvm2",
+                "source_formats": ["unknown", "lvm2"],
+            },
+            {
+                "name": "netfs",
+                "default_source_format": "auto",
+                "source_formats": ["auto", "nfs", "glusterfs", "cifs"],
+                "default_target_format": "raw",
+                "target_formats": images_formats,
+            },
+            {
+                "name": "disk",
+                "default_source_format": "unknown",
+                "source_formats": [
+                    "unknown",
+                    "dos",
+                    "dvh",
+                    "gpt",
+                    "mac",
+                    "bsd",
+                    "pc98",
+                    "sun",
+                    "lvm2",
+                ],
+                "default_target_format": "none",
+                "target_formats": [
+                    "none",
+                    "linux",
+                    "fat16",
+                    "fat32",
+                    "linux-swap",
+                    "linux-lvm",
+                    "linux-raid",
+                    "extended",
+                ],
+            },
+            {"name": "mpath"},
+            {"name": "rbd", "default_target_format": "raw", "target_formats": []},
+            {
+                "name": "sheepdog",
+                "version": 10000,
+                "hypervisors": ["kvm"],
+                "default_target_format": "raw",
+                "target_formats": images_formats,
+            },
+            {
+                "name": "gluster",
+                "version": 1002000,
+                "hypervisors": ["kvm"],
+                "default_target_format": "raw",
+                "target_formats": images_formats,
+            },
+            {"name": "zfs", "version": 1002008, "hypervisors": ["bhyve"]},
+            {
+                "name": "iscsi-direct",
+                "version": 4007000,
+                "hypervisors": ["kvm", "xen"],
+            },
+        ]
+
+        libvirt_version = conn.getLibVersion()
+        hypervisor = get_hypervisor()
+
+        def _get_backend_output(backend):
+            output = {
+                "name": backend["name"],
+                "supported": (
+                    not backend.get("version") or libvirt_version >= backend["version"]
+                )
+                and hypervisor in backend.get("hypervisors", all_hypervisors),
+                "options": {
+                    "pool": {
+                        "default_format": backend.get("default_source_format"),
+                        "sourceFormatType": backend.get("source_formats"),
+                    },
+                    "volume": {
+                        "default_format": backend.get("default_target_format"),
+                        "targetFormatType": backend.get("target_formats"),
+                    },
+                },
+            }
+
+            # Cleanup the empty members to match the libvirt output
+            for option_kind in ["pool", "volume"]:
+                if not [
+                    value
+                    for value in output["options"][option_kind].values()
+                    if value is not None
+                ]:
+                    del output["options"][option_kind]
+            if not output["options"]:
+                del output["options"]
+
+            return output
+
+        pool_types = [_get_backend_output(backend) for backend in common_drivers]
+
+    return {
+        "computed": not has_pool_capabilities,
+        "pool_types": pool_types,
+    }
 
 
 def pool_capabilities(**kwargs):
-    '''
+    """
     Return the hypervisor connection storage pool capabilities.
 
     The returned data are either directly extracted from libvirt or computed.
@@ -4814,132 +5652,32 @@ def pool_capabilities(**kwargs):
 
         salt '*' virt.pool_capabilities
 
-    '''
+    """
     try:
         conn = __get_conn(**kwargs)
-        has_pool_capabilities = bool(getattr(conn, 'getStoragePoolCapabilities', None))
-        if has_pool_capabilities:
-            caps = ElementTree.fromstring(conn.getStoragePoolCapabilities())
-            pool_types = _parse_pools_caps(caps)
-        else:
-            # Compute reasonable values
-            all_hypervisors = ['xen', 'kvm', 'bhyve']
-            images_formats = ['none', 'raw', 'dir', 'bochs', 'cloop', 'dmg', 'iso', 'vpc', 'vdi',
-                              'fat', 'vhd', 'ploop', 'cow', 'qcow', 'qcow2', 'qed', 'vmdk']
-            common_drivers = [
-                {
-                    'name': 'fs',
-                    'default_source_format': 'auto',
-                    'source_formats': ['auto', 'ext2', 'ext3', 'ext4', 'ufs', 'iso9660', 'udf', 'gfs', 'gfs2',
-                                       'vfat', 'hfs+', 'xfs', 'ocfs2'],
-                    'default_target_format': 'raw',
-                    'target_formats': images_formats
-                },
-                {
-                    'name': 'dir',
-                    'default_target_format': 'raw',
-                    'target_formats': images_formats
-                },
-                {'name': 'iscsi'},
-                {'name': 'scsi'},
-                {
-                    'name': 'logical',
-                    'default_source_format': 'lvm2',
-                    'source_formats': ['unknown', 'lvm2'],
-                },
-                {
-                    'name': 'netfs',
-                    'default_source_format': 'auto',
-                    'source_formats': ['auto', 'nfs', 'glusterfs', 'cifs'],
-                    'default_target_format': 'raw',
-                    'target_formats': images_formats
-                },
-                {
-                    'name': 'disk',
-                    'default_source_format': 'unknown',
-                    'source_formats': ['unknown', 'dos', 'dvh', 'gpt', 'mac', 'bsd', 'pc98', 'sun', 'lvm2'],
-                    'default_target_format': 'none',
-                    'target_formats': ['none', 'linux', 'fat16', 'fat32', 'linux-swap', 'linux-lvm',
-                                       'linux-raid', 'extended']
-                },
-                {'name': 'mpath'},
-                {
-                    'name': 'rbd',
-                    'default_target_format': 'raw',
-                    'target_formats': []
-                },
-                {
-                    'name': 'sheepdog',
-                    'version': 10000,
-                    'hypervisors': ['kvm'],
-                    'default_target_format': 'raw',
-                    'target_formats': images_formats
-                },
-                {
-                    'name': 'gluster',
-                    'version': 1002000,
-                    'hypervisors': ['kvm'],
-                    'default_target_format': 'raw',
-                    'target_formats': images_formats
-                },
-                {'name': 'zfs', 'version': 1002008, 'hypervisors': ['bhyve']},
-                {'name': 'iscsi-direct', 'version': 4007000, 'hypervisors': ['kvm', 'xen']}
-            ]
-
-            libvirt_version = conn.getLibVersion()
-            hypervisor = get_hypervisor()
-
-            def _get_backend_output(backend):
-                output = {
-                    'name': backend['name'],
-                    'supported': (not backend.get('version') or libvirt_version >= backend['version']) and
-                        hypervisor in backend.get('hypervisors', all_hypervisors),
-                    'options': {
-                        'pool': {
-                            'default_format': backend.get('default_source_format'),
-                            'sourceFormatType': backend.get('source_formats')
-                        },
-                        'volume': {
-                            'default_format': backend.get('default_target_format'),
-                            'targetFormatType': backend.get('target_formats')
-                        }
-                    }
-                }
-
-                # Cleanup the empty members to match the libvirt output
-                for option_kind in ['pool', 'volume']:
-                    if not [value for value in output['options'][option_kind].values() if value is not None]:
-                        del output['options'][option_kind]
-                if not output['options']:
-                    del output['options']
-
-                return output
-            pool_types = [_get_backend_output(backend) for backend in common_drivers]
+        return _pool_capabilities(conn)
     finally:
         conn.close()
 
-    return {
-        'computed': not has_pool_capabilities,
-        'pool_types': pool_types,
-    }
-
 
-def pool_define(name,
-                ptype,
-                target=None,
-                permissions=None,
-                source_devices=None,
-                source_dir=None,
-                source_initiator=None,
-                source_adapter=None,
-                source_hosts=None,
-                source_auth=None,
-                source_name=None,
-                source_format=None,
-                transient=False,
-                start=True,  # pylint: disable=redefined-outer-name
-                **kwargs):
-    '''
+def pool_define(
+    name,
+    ptype,
+    target=None,
+    permissions=None,
+    source_devices=None,
+    source_dir=None,
+    source_initiator=None,
+    source_adapter=None,
+    source_hosts=None,
+    source_auth=None,
+    source_name=None,
+    source_format=None,
+    transient=False,
+    start=True,  # pylint: disable=redefined-outer-name
+    **kwargs
+):
+    """
     Create libvirt pool.
 
     :param name: Pool name
@@ -5065,7 +5803,7 @@ def pool_define(name,
                                   source_dir=samba_share source_hosts="['example.com']" target=/mnt/cifs
 
     .. versionadded:: 2019.2.0
-    '''
+    """
     conn = __get_conn(**kwargs)
     auth = _pool_set_secret(conn, ptype, name, source_auth)
 
@@ -5081,7 +5819,7 @@ def pool_define(name,
         source_auth=auth,
         source_name=source_name,
         source_format=source_format,
-        source_initiator=source_initiator
+        source_initiator=source_initiator,
     )
     try:
         if transient:
@@ -5090,7 +5828,7 @@ def pool_define(name,
             pool = conn.storagePoolDefineXML(pool_xml)
             if start:
                 pool.create()
-    except libvirtError as err:
+    except libvirt.libvirtError as err:
         raise err  # a real error we should report upwards
     finally:
         conn.close()
@@ -5099,66 +5837,69 @@ def pool_define(name,
     return True
 
 
-def _pool_set_secret(conn, pool_type, pool_name, source_auth, uuid=None, usage=None, test=False):
-    secret_types = {
-        'rbd': 'ceph',
-        'iscsi': 'chap',
-        'iscsi-direct': 'chap'
-    }
+def _pool_set_secret(
+    conn, pool_type, pool_name, source_auth, uuid=None, usage=None, test=False
+):
+    secret_types = {"rbd": "ceph", "iscsi": "chap", "iscsi-direct": "chap"}
     secret_type = secret_types.get(pool_type)
     auth = source_auth
-    if source_auth and 'username' in source_auth and 'password' in source_auth:
+    if source_auth and "username" in source_auth and "password" in source_auth:
         if secret_type:
             # Get the previously defined secret if any
             secret = None
             if usage:
-                usage_type = libvirt.VIR_SECRET_USAGE_TYPE_CEPH if secret_type == 'ceph' \
-                                else libvirt.VIR_SECRET_USAGE_TYPE_ISCSI
+                usage_type = (
+                    libvirt.VIR_SECRET_USAGE_TYPE_CEPH
+                    if secret_type == "ceph"
+                    else libvirt.VIR_SECRET_USAGE_TYPE_ISCSI
+                )
                 secret = conn.secretLookupByUsage(usage_type, usage)
             elif uuid:
                 secret = conn.secretLookupByUUIDString(uuid)
 
             # Create secret if needed
             if not secret:
-                description = 'Passphrase for {} pool created by Salt'.format(pool_name)
+                description = "Passphrase for {} pool created by Salt".format(pool_name)
                 if not usage:
-                    usage = 'pool_{}'.format(pool_name)
+                    usage = "pool_{}".format(pool_name)
                 secret_xml = _gen_secret_xml(secret_type, usage, description)
                 if not test:
                     secret = conn.secretDefineXML(secret_xml)
 
             # Assign the password to it
-            password = auth['password']
-            if pool_type == 'rbd':
+            password = auth["password"]
+            if pool_type == "rbd":
                 # RBD password are already base64-encoded, but libvirt will base64-encode them later
                 password = base64.b64decode(salt.utils.stringutils.to_bytes(password))
             if not test:
                 secret.setValue(password)
 
             # update auth with secret reference
-            auth['type'] = secret_type
-            auth['secret'] = {
-                'type': 'uuid' if uuid else 'usage',
-                'value': uuid if uuid else usage,
+            auth["type"] = secret_type
+            auth["secret"] = {
+                "type": "uuid" if uuid else "usage",
+                "value": uuid if uuid else usage,
             }
     return auth
 
 
-def pool_update(name,
-                ptype,
-                target=None,
-                permissions=None,
-                source_devices=None,
-                source_dir=None,
-                source_initiator=None,
-                source_adapter=None,
-                source_hosts=None,
-                source_auth=None,
-                source_name=None,
-                source_format=None,
-                test=False,
-                **kwargs):
-    '''
+def pool_update(
+    name,
+    ptype,
+    target=None,
+    permissions=None,
+    source_devices=None,
+    source_dir=None,
+    source_initiator=None,
+    source_adapter=None,
+    source_hosts=None,
+    source_auth=None,
+    source_name=None,
+    source_format=None,
+    test=False,
+    **kwargs
+):
+    """
     Update a libvirt storage pool if needed.
     If called with test=True, this is also reporting whether an update would be performed.
 
@@ -5263,7 +6004,7 @@ def pool_update(name,
                                   source_dir=samba_share source_hosts="['example.com']" target=/mnt/cifs
 
     .. versionadded:: 3000
-    '''
+    """
     # Get the current definition to compare the two
     conn = __get_conn(**kwargs)
     needs_update = False
@@ -5273,29 +6014,33 @@ def pool_update(name,
 
         # If we have username and password in source_auth generate a new secret
         # Or change the value of the existing one
-        secret_node = old_xml.find('source/auth/secret')
-        usage = secret_node.get('usage') if secret_node is not None else None
-        uuid = secret_node.get('uuid') if secret_node is not None else None
-        auth = _pool_set_secret(conn, ptype, name, source_auth, uuid=uuid, usage=usage, test=test)
+        secret_node = old_xml.find("source/auth/secret")
+        usage = secret_node.get("usage") if secret_node is not None else None
+        uuid = secret_node.get("uuid") if secret_node is not None else None
+        auth = _pool_set_secret(
+            conn, ptype, name, source_auth, uuid=uuid, usage=usage, test=test
+        )
 
         # Compute new definition
-        new_xml = ElementTree.fromstring(_gen_pool_xml(
-            name,
-            ptype,
-            target,
-            permissions=permissions,
-            source_devices=source_devices,
-            source_dir=source_dir,
-            source_initiator=source_initiator,
-            source_adapter=source_adapter,
-            source_hosts=source_hosts,
-            source_auth=auth,
-            source_name=source_name,
-            source_format=source_format
-        ))
+        new_xml = ElementTree.fromstring(
+            _gen_pool_xml(
+                name,
+                ptype,
+                target,
+                permissions=permissions,
+                source_devices=source_devices,
+                source_dir=source_dir,
+                source_initiator=source_initiator,
+                source_adapter=source_adapter,
+                source_hosts=source_hosts,
+                source_auth=auth,
+                source_name=source_name,
+                source_format=source_format,
+            )
+        )
 
         # Copy over the uuid, capacity, allocation, available elements
-        elements_to_copy = ['available', 'allocation', 'capacity', 'uuid']
+        elements_to_copy = ["available", "allocation", "capacity", "uuid"]
         for to_copy in elements_to_copy:
             element = old_xml.find(to_copy)
             new_xml.insert(1, element)
@@ -5308,29 +6053,37 @@ def pool_update(name,
 
         def space_stripper(node):
             if node.tail is not None:
-                node.tail = node.tail.strip(' \t\n')
+                node.tail = node.tail.strip(" \t\n")
             if node.text is not None:
-                node.text = node.text.strip(' \t\n')
+                node.text = node.text.strip(" \t\n")
 
         visit_xml(old_xml, space_stripper)
         visit_xml(new_xml, space_stripper)
 
         def empty_node_remover(node):
             for child in node:
-                if not child.tail and not child.text and not child.items() and not child:
+                if (
+                    not child.tail
+                    and not child.text
+                    and not child.items()
+                    and not child
+                ):
                     node.remove(child)
+
         visit_xml(old_xml, empty_node_remover)
 
-        needs_update = ElementTree.tostring(old_xml) != ElementTree.tostring(new_xml)
+        needs_update = xmlutil.to_dict(old_xml, True) != xmlutil.to_dict(new_xml, True)
         if needs_update and not test:
-            conn.storagePoolDefineXML(salt.utils.stringutils.to_str(ElementTree.tostring(new_xml)))
+            conn.storagePoolDefineXML(
+                salt.utils.stringutils.to_str(ElementTree.tostring(new_xml))
+            )
     finally:
         conn.close()
     return needs_update
 
 
 def list_pools(**kwargs):
-    '''
+    """
     List all storage pools.
 
     :param connection: libvirt connection URI, overriding defaults
@@ -5344,7 +6097,7 @@ def list_pools(**kwargs):
     .. code-block:: bash
 
         salt '*' virt.list_pools
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         return [pool.name() for pool in conn.listAllStoragePools()]
@@ -5353,7 +6106,7 @@ def list_pools(**kwargs):
 
 
 def pool_info(name=None, **kwargs):
-    '''
+    """
     Return informations on a storage pool provided its name.
 
     :param name: libvirt storage pool name
@@ -5370,45 +6123,49 @@ def pool_info(name=None, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.pool_info default
-    '''
+    """
     result = {}
     conn = __get_conn(**kwargs)
 
     def _pool_extract_infos(pool):
-        '''
+        """
         Format the pool info dictionary
 
         :param pool: the libvirt pool object
-        '''
-        states = ['inactive', 'building', 'running', 'degraded', 'inaccessible']
+        """
+        states = ["inactive", "building", "running", "degraded", "inaccessible"]
         infos = pool.info()
-        state = states[infos[0]] if infos[0] < len(states) else 'unknown'
+        state = states[infos[0]] if infos[0] < len(states) else "unknown"
         desc = ElementTree.fromstring(pool.XMLDesc())
-        path_node = desc.find('target/path')
+        path_node = desc.find("target/path")
         return {
-            'uuid': pool.UUIDString(),
-            'state': state,
-            'capacity': infos[1],
-            'allocation': infos[2],
-            'free': infos[3],
-            'autostart': pool.autostart(),
-            'persistent': pool.isPersistent(),
-            'target_path': path_node.text if path_node is not None else None,
-            'type': desc.get('type')
+            "uuid": pool.UUIDString(),
+            "state": state,
+            "capacity": infos[1],
+            "allocation": infos[2],
+            "free": infos[3],
+            "autostart": pool.autostart(),
+            "persistent": pool.isPersistent(),
+            "target_path": path_node.text if path_node is not None else None,
+            "type": desc.get("type"),
         }
 
     try:
-        pools = [pool for pool in conn.listAllStoragePools() if name is None or pool.name() == name]
+        pools = [
+            pool
+            for pool in conn.listAllStoragePools()
+            if name is None or pool.name() == name
+        ]
         result = {pool.name(): _pool_extract_infos(pool) for pool in pools}
     except libvirt.libvirtError as err:
-        log.debug('Silenced libvirt error: %s', str(err))
+        log.debug("Silenced libvirt error: %s", str(err))
     finally:
         conn.close()
     return result
 
 
 def pool_get_xml(name, **kwargs):
-    '''
+    """
     Return the XML definition of a virtual storage pool
 
     :param name: libvirt storage pool name
@@ -5423,7 +6180,7 @@ def pool_get_xml(name, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.pool_get_xml default
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         return conn.storagePoolLookupByName(name).XMLDesc()
@@ -5432,7 +6189,7 @@ def pool_get_xml(name, **kwargs):
 
 
 def pool_start(name, **kwargs):
-    '''
+    """
     Start a defined libvirt storage pool.
 
     :param name: libvirt storage pool name
@@ -5447,7 +6204,7 @@ def pool_start(name, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.pool_start default
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         pool = conn.storagePoolLookupByName(name)
@@ -5457,7 +6214,7 @@ def pool_start(name, **kwargs):
 
 
 def pool_build(name, **kwargs):
-    '''
+    """
     Build a defined libvirt storage pool.
 
     :param name: libvirt storage pool name
@@ -5472,7 +6229,7 @@ def pool_build(name, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.pool_build default
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         pool = conn.storagePoolLookupByName(name)
@@ -5482,7 +6239,7 @@ def pool_build(name, **kwargs):
 
 
 def pool_stop(name, **kwargs):
-    '''
+    """
     Stop a defined libvirt storage pool.
 
     :param name: libvirt storage pool name
@@ -5497,7 +6254,7 @@ def pool_stop(name, **kwargs):
     .. code-block:: bash
 
         salt '*' virt.pool_stop default
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         pool = conn.storagePoolLookupByName(name)
@@ -5507,7 +6264,7 @@ def pool_stop(name, **kwargs):
 
 
 def pool_undefine(name, **kwargs):
-    '''
+    """
     Remove a defined libvirt storage pool. The pool needs to be stopped before calling.
 
     :param name: libvirt storage pool name
